TechDraw Symbol/it: Difference between revisions

From FreeCAD Documentation
No edit summary
(Created page with "Lo strumento Simbolo inserisce un file SVG nella pagina. Questo simbolo può essere qualsiasi cosa che aiuti ad annotare il disegno, e che non ha bisogno di essere...")
Line 6: Line 6:
==Descrizione==
==Descrizione==


Lo strumento Simbolo inserisce un file [[SVG/it|SVG]] nella pagina. Questo simbolo può essere qualsiasi cosa che aiuti ad annotare il disegno, e che non ha bisogno di essere ulteriormente modificato.
The Symbol tool inserts an [[SVG]] file into the page. This symbol can be anything that helps annotating your drawing, and that doesn't need to be further modified.


[[Image:TechDraw_SymbolSVG_sample.png]]
[[Image:TechDraw_SymbolSVG_sample.png]]

Revision as of 17:20, 23 April 2019

Simbolo SVG

Posizione nel menu
TechDraw → Simbolo SVG
Ambiente
TechDraw
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Modelli, SVG

Descrizione

Lo strumento Simbolo inserisce un file SVG nella pagina. Questo simbolo può essere qualsiasi cosa che aiuti ad annotare il disegno, e che non ha bisogno di essere ulteriormente modificato.

Compass rose added to the drawing page; this symbol is available by installing the SymbolsLibrary macro with the Addon Manager

Uso

  1. Premere il pulsante Simbolo
  2. Si apre una finestra di dialogo. Selezionare un percorso e il nome file.
  1. Press the File:Techdraw-symbol.svg Symbol button
  2. A File Save dialog will open. Select a location and file name.

If the symbol appears larger than expected, use the scale property to adjust its size.

Scrip

I file SVG possono essere inseriti in una pagina di disegno utilizzando Python

See also: TechDraw API and FreeCAD Scripting Basics.

The Symbol tool can be used in macros and from the Python console by using the following functions:

sym = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewSymbol','TestSymbol')
rc = page.addView(anno)
f = open(unicode(symbolFileSpec,'utf-8'),'r')
svg = f.read()
f.close()
sym.Symbol = svg
rc = page.addView(sym)